Loading...
Searching...
No Matches
pcl::device::PtrSz< T > Struct Template Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/containers/include/pcl/gpu/containers/kernel_containers.h>`

Inheritance diagram for pcl::device::PtrSz< T >:

## Public Member Functions

__PCL_GPU_HOST_DEVICE__ | PtrSz ()
__PCL_GPU_HOST_DEVICE__ | PtrSz (T *data_arg, std::size_t size_arg)
Public Member Functions inherited from pcl::gpu::DevPtr< T >
__PCL_GPU_HOST_DEVICE__ | DevPtr ()
__PCL_GPU_HOST_DEVICE__ | DevPtr (T *data_arg)
__PCL_GPU_HOST_DEVICE__ std::size_t | elemSize () const
__PCL_GPU_HOST_DEVICE__ | operator T* ()
__PCL_GPU_HOST_DEVICE__ | operator const T * () const

## Public Attributes

std::size_t | size
Public Attributes inherited from pcl::gpu::DevPtr< T >
T * | data

## Additional Inherited Members

Public Types inherited from pcl::gpu::DevPtr< T >
using | elem_type = T
Static Public Attributes inherited from pcl::gpu::DevPtr< T >
static const std::size_t | elem_size = sizeof(elem_type)

## Detailed Description

template<typename T>
struct pcl::device::PtrSz< T >

Definition at line 74 of file kernel_containers.h.

## Constructor & Destructor Documentation

## PtrSz() [1/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::PtrSz< T >::PtrSz | ( |  | ) |

inline

Definition at line 76 of file kernel_containers.h.

## PtrSz() [2/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::PtrSz< T >::PtrSz | ( | T * | data_arg,
|  | std::size_t | size_arg )

inline

Definition at line 79 of file kernel_containers.h.

## Member Data Documentation

## size

template<typename T>

std::size_t pcl::gpu::PtrSz< T >::size

Definition at line 81 of file kernel_containers.h.

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/containers/include/pcl/gpu/containers/kernel_containers.h